// Fonts
@import url("https://fonts.googleapis.com/css?family=Nunito");

// Font Awesome
@import "~@fortawesome/fontawesome-free/css/all.min.css";

// Variables
@import "variables";

// Bootstrap
@import "~bootstrap/scss/bootstrap";

.ihm-form {
    min-height: 580px;
    max-width: 500px;
    margin: 0 auto;

    .ihm {
        padding: 0;
        background: $white;
        border-radius: 3px;
        box-shadow: 0 12px 12px rgb(0, 0, 0, 0.2);
        overflow: hidden;
    }

    .row {
        margin-left: 15px;
        margin-right: 15px;
    }

    ul,
    li {
        color: #777 !important;
    }

    .btn-group {
        width: 100%;
        display: flex;
        flex-wrap: wrap;

        > .btn {
            font-size: $font-size-base;
            background-color: #999;
            margin: 0;
            padding: 7px;
            flex: 1 1 50%;
            border-color: $white;
            border-radius: 0;

            &:hover {
                background-color: darken(#999, 5%);
            }

            &.active {
                border-color: $white;
                background-image: linear-gradient(
                    180deg,
                    $primary,
                    darken($primary, 5%)
                );

                &:hover {
                    background-image: linear-gradient(
                        180deg,
                        darken($primary, 3%),
                        darken($primary, 8%)
                    );
                }
            }
        }
    }

    ul.steps-display {
        display: block;
        width: 100%;
        text-align: center;
        padding: 0 0 0 0;

        &.hidden {
            display: none;
        }

        li {
            $size: 30px;
            $spacing: 10px;

            position: relative;
            display: inline-block;
            border-radius: 50%;
            width: $size;
            height: $size;
            background: $white;
            font-weight: $font-weight-bold;
            text-align: center;
            font-size: 20px;
            color: $primary;
            margin: 0 ($spacing / 2);
            opacity: 0.5;
            cursor: pointer;

            span {
                $span-spacing: 2px;
                $span-size: $size - ($span-spacing * 2);

                display: block;
                border-radius: 50%;
                width: $span-size;
                height: $span-size;
                margin: $span-spacing;
                line-height: $span-size - 2;

                background-image: linear-gradient(
                    170deg,
                    $secondary,
                    darken($secondary, 15%)
                );
                color: $white;
            }

            &.active {
                opacity: 1;
                box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);

                span {
                    background-image: none;
                    color: darken($secondary, 15%);
                }

                &:after {
                    opacity: 0.5;
                }
            }

            &:after {
                $line-thickness: 2px;

                position: absolute;
                content: " ";
                top: ($size / 2) - ($line-thickness / 2);
                left: $size;
                height: $line-thickness;
                background: $white;
                width: $spacing;
                opacity: 1;
            }

            &:last-child {
                &:after {
                    display: none;
                }
            }
        }
    }

    h2 {
        font-weight: $font-weight-bold;
        font-size: $h4-font-size;
        width: 100%;
        text-align: left;
    }

    h3 {
        font-weight: $font-weight-bold;
        font-size: $font-size-base;
        color: #666;
        width: 100%;
        text-align: left;

        &.form-label {
            font-size: 22px;
            margin-bottom: 25px;
            font-weight: $font-weight-bold;
        }
    }

    .option-buttons {
        .form-group {
            label.btn {
                cursor: pointer;
            }

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    header {
        background-color: $secondary;
        color: $white;
        padding: 30px 0;

        h2,
        h3 {
            margin: 0;
            color: $white;
            display: block;
            text-align: center;
        }

        h3 {
            margin-top: 15px;
            display: block;
            text-align: center;
            color: $white;
        }
    }

    .form-label {
        font-weight: $font-weight-bold;
        font-size: $font-size-base;
        display: block;
        color: #666;
        margin-bottom: 10px;
    }

    .form-radio-label {
        position: relative;
        padding: 6px 12px 6px 50px;
        color: #666;

        input[type="radio"]:checked + span {
            background-color: #6eb7c2;
            border: 1px solid #4c8e98;
        }

        input[type="radio"] + span {
            $size: 20px;

            border-radius: 15px;
            box-shadow: inset 0 0 3px 0 rgba(0, 0, 0, 0.2);
            height: $size;
            left: 8px;
            position: absolute;
            top: 8px;
            width: $size;
            z-index: 2;

            &:after {
                background: $white;
                border-radius: 9px;
                content: "";
                cursor: pointer;
                display: block;
                height: 8px;
                left: 5px;
                //opacity: 0;
                position: absolute;
                top: 5px;
                transition: opacity 0.2s ease;
                width: 8px;
                z-index: 3;
            }
        }

        input[type="radio"] {
            left: 15px;
            position: absolute;
            top: 10px;
            visibility: hidden;
        }
    }

    .btn,
    .form-control {
        border-radius: 4px;
    }

    .form-control {
        font-size: $font-size-base;
    }

    .btn {
        padding: 14px;
        display: block;
        font-size: 20px;
        font-weight: $font-weight-bold;
        width: 100%;
        cursor: pointer;
        transition: none;
    }

    .btn-back {
        background: #bbb;
        border-radius: 12px;
        color: $white !important;
        width: auto;
        display: inline-block;
        font-size: 12px;
        padding: 3px 7px 3px 16px;
        margin: 1rem auto 0 auto;
        line-height: 1;
        position: relative;
        cursor: pointer;

        &:before {
            content: "‹";
            font-size: 24px;
            position: absolute;
            display: block;
            width: 18px;
            height: 18px;
            left: 1px;
            top: 0;
            line-height: 13px;
            font-weight: $font-weight-bold;
        }
    }

    .accept-terms {
        $color: #555;

        display: block;
        margin: 15px 0 0 0;
        font-size: 14px;
        color: $color;
        line-height: 1.4;

        strong {
            font-weight: $font-weight-bold;
        }

        a {
            &,
            &:link,
            &:visited,
            &:active {
                color: $color;
                text-decoration: underline;
            }

            &:hover {
                color: $color;
                text-decoration: underline;
            }
        }
    }

    .field-error {
        $size: 6px;

        background: $red;
        color: $white;
        font-size: 13px;
        font-weight: bold;
        padding: 4px 8px;
        margin-top: $size;
        border-radius: 0.25rem;
        position: relative;

        &:after {
            border-top: $size solid transparent;
            border-right: $size solid transparent;
            border-bottom: $size solid $red;
            border-left: $size solid transparent;
            content: " ";
            position: absolute;
            top: -($size * 2);
            left: 10px;
        }

        &.show {
            display: inline-block !important;
        }
    }

    .form-steps {
        display: block;
        list-style: none;

        //padding: 0 30px 30px 30px;
        padding: 30px;
        margin: 0;
        position: relative;
        overflow: hidden;

        &.loading {
            &:after {
                width: 100%;
                height: 100%;
                right: 0;
                bottom: 0;
                opacity: 1;
            }
        }

        &:after {
            position: absolute;
            width: 1px;
            height: 1px;
            content: " ";
            left: 0;
            top: 0;
            background: rgba(255, 255, 255, 0.8) no-repeat center center;
            background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjJweCIgIGhlaWdodD0iMjJweCIgIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgdmlld0JveD0iMCAwIDEwMCAxMDAiIHByZXNlcnZlQXNwZWN0UmF0aW89InhNaWRZTWlkIiBjbGFzcz0ibGRzLXJvbGxpbmciIHN0eWxlPSJiYWNrZ3JvdW5kOiBub25lOyI+PGNpcmNsZSBjeD0iNTAiIGN5PSI1MCIgZmlsbD0ibm9uZSIgbmctYXR0ci1zdHJva2U9Int7Y29uZmlnLmNvbG9yfX0iIG5nLWF0dHItc3Ryb2tlLXdpZHRoPSJ7e2NvbmZpZy53aWR0aH19IiBuZy1hdHRyLXI9Int7Y29uZmlnLnJhZGl1c319IiBuZy1hdHRyLXN0cm9rZS1kYXNoYXJyYXk9Int7Y29uZmlnLmRhc2hhcnJheX19IiBzdHJva2U9IiNhYWEiIHN0cm9rZS13aWR0aD0iMTAiIHI9IjM1IiBzdHJva2UtZGFzaGFycmF5PSIxNjQuOTMzNjE0MzEzNDY0MTUgNTYuOTc3ODcxNDM3ODIxMzgiIHRyYW5zZm9ybT0icm90YXRlKDI1Ny44MDIgNTAgNTApIj48YW5pbWF0ZVRyYW5zZm9ybSBhdHRyaWJ1dGVOYW1lPSJ0cmFuc2Zvcm0iIHR5cGU9InJvdGF0ZSIgY2FsY01vZGU9ImxpbmVhciIgdmFsdWVzPSIwIDUwIDUwOzM2MCA1MCA1MCIga2V5VGltZXM9IjA7MSIgZHVyPSIxcyIgYmVnaW49IjBzIiByZXBlYXRDb3VudD0iaW5kZWZpbml0ZSI+PC9hbmltYXRlVHJhbnNmb3JtPjwvY2lyY2xlPjwvc3ZnPg==);
            background-size: 36px;
            opacity: 0;
            transition: opacity 500ms;
        }

        &.ready {
            transition: height 500ms;
        }

        > li {
            &.thank-you {
                h3 {
                    font-size: $font-size-lg;
                }

                ul {
                    li {
                        padding-bottom: 8px;
                    }
                }
            }

            &.form-fields {
                .spacer {
                    height: 30px;
                }
            }
        }
    }

    .btn-next {
        input {
            opacity: 0;
            position: absolute;
            display: none;
        }
    }

    .form-group {
        position: relative;
        text-align: left;

        &.valid {
            &:after {
                position: absolute;
                height: 38px;
                width: 38px;
                content: " ";
                top: 0;
                right: 0;
                display: block;
                background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZpZXdCb3g9JzAgMCA1MTIgNTEyJyBmaWxsPScjMjlhZTU3Jz48cGF0aCBkPSdNMTczLjg5OCA0MzkuNDA0bC0xNjYuNC0xNjYuNGMtOS45OTctOS45OTctOS45OTctMjYuMjA2IDAtMzYuMjA0bDM2LjIwMy0zNi4yMDRjOS45OTctOS45OTggMjYuMjA3LTkuOTk4IDM2LjIwNCAwTDE5MiAzMTIuNjkgNDMyLjA5NSA3Mi41OTZjOS45OTctOS45OTcgMjYuMjA3LTkuOTk3IDM2LjIwNCAwbDM2LjIwMyAzNi4yMDRjOS45OTcgOS45OTcgOS45OTcgMjYuMjA2IDAgMzYuMjA0bC0yOTQuNCAyOTQuNDAxYy05Ljk5OCA5Ljk5Ny0yNi4yMDcgOS45OTctMzYuMjA0LS4wMDF6Jy8+PC9zdmc+)
                    center/16px no-repeat;
            }
        }

        &.invalid {
            &:after {
                position: absolute;
                height: 38px;
                width: 38px;
                content: " ";
                top: 0;
                right: 0;
                display: block;
                background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAzNTIgNTEyIiBmaWxsPSIjZGMzNTQ1Ij48cGF0aCBkPSJNMjQyLjcyIDI1NmwxMDAuMDctMTAwLjA3YzEyLjI4LTEyLjI4IDEyLjI4LTMyLjE5IDAtNDQuNDhsLTIyLjI0LTIyLjI0Yy0xMi4yOC0xMi4yOC0zMi4xOS0xMi4yOC00NC40OCAwTDE3NiAxODkuMjggNzUuOTMgODkuMjFjLTEyLjI4LTEyLjI4LTMyLjE5LTEyLjI4LTQ0LjQ4IDBMOS4yMSAxMTEuNDVjLTEyLjI4IDEyLjI4LTEyLjI4IDMyLjE5IDAgNDQuNDhMMTA5LjI4IDI1NiA5LjIxIDM1Ni4wN2MtMTIuMjggMTIuMjgtMTIuMjggMzIuMTkgMCA0NC40OGwyMi4yNCAyMi4yNGMxMi4yOCAxMi4yOCAzMi4yIDEyLjI4IDQ0LjQ4IDBMMTc2IDMyMi43MmwxMDAuMDcgMTAwLjA3YzEyLjI4IDEyLjI4IDMyLjIgMTIuMjggNDQuNDggMGwyMi4yNC0yMi4yNGMxMi4yOC0xMi4yOCAxMi4yOC0zMi4xOSAwLTQ0LjQ4TDI0Mi43MiAyNTZ6Ii8+PC9zdmc+)
                    center/12px no-repeat;
            }

            .form-control {
                border: 1px solid $red;
            }
        }

        &.loading {
            &:after {
                content: "";
                background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjJweCIgIGhlaWdodD0iMjJweCIgIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgdmlld0JveD0iMCAwIDEwMCAxMDAiIHByZXNlcnZlQXNwZWN0UmF0aW89InhNaWRZTWlkIiBjbGFzcz0ibGRzLXJvbGxpbmciIHN0eWxlPSJiYWNrZ3JvdW5kOiBub25lOyI+PGNpcmNsZSBjeD0iNTAiIGN5PSI1MCIgZmlsbD0ibm9uZSIgbmctYXR0ci1zdHJva2U9Int7Y29uZmlnLmNvbG9yfX0iIG5nLWF0dHItc3Ryb2tlLXdpZHRoPSJ7e2NvbmZpZy53aWR0aH19IiBuZy1hdHRyLXI9Int7Y29uZmlnLnJhZGl1c319IiBuZy1hdHRyLXN0cm9rZS1kYXNoYXJyYXk9Int7Y29uZmlnLmRhc2hhcnJheX19IiBzdHJva2U9IiNhYWEiIHN0cm9rZS13aWR0aD0iMTAiIHI9IjM1IiBzdHJva2UtZGFzaGFycmF5PSIxNjQuOTMzNjE0MzEzNDY0MTUgNTYuOTc3ODcxNDM3ODIxMzgiIHRyYW5zZm9ybT0icm90YXRlKDI1Ny44MDIgNTAgNTApIj48YW5pbWF0ZVRyYW5zZm9ybSBhdHRyaWJ1dGVOYW1lPSJ0cmFuc2Zvcm0iIHR5cGU9InJvdGF0ZSIgY2FsY01vZGU9ImxpbmVhciIgdmFsdWVzPSIwIDUwIDUwOzM2MCA1MCA1MCIga2V5VGltZXM9IjA7MSIgZHVyPSIxcyIgYmVnaW49IjBzIiByZXBlYXRDb3VudD0iaW5kZWZpbml0ZSI+PC9hbmltYXRlVHJhbnNmb3JtPjwvY2lyY2xlPjwvc3ZnPg==)
                    no-repeat center center;
                background-size: 24px;
            }
        }

        label {
            input[type="checkbox"] {
                margin-right: 5px;
            }
        }
    }
}

.calculator {
    background: $white;
    color: #8a8a8a;
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.1);
    text-align: center;

    .modal__header {
        background: transparent;
        border-bottom: 1px solid rgba(84, 82, 83, 0.1);
        border-radius: 3px 3px 0 0;
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
        padding: 20px 15px;
        position: relative;

        .modal__header-btns {
            background-color: transparent;
            border: 0;
            color: #545253;
            cursor: pointer;
            font-size: 15px;
            height: 15px;
            padding: 0;
            position: absolute;
            top: 12px;
            width: 15px;

            &:hover,
            &:focus,
            &:active {
                color: #767475;
            }
        }

        .modal__header-btns--back {
            font-size: 17px;
            left: 15px;
        }

        .modal__header-progress {
            margin: 0 auto;
            max-width: 245px;

            .progress-bar__empty {
                background-color: #c5e2e6;
                border-radius: 4px;
                height: 5px;
                width: 100%;
                z-index: 1;
            }

            .progress-bar__fill {
                background-color: #6eb7c2;
                border-radius: 4px;
                height: 5px;
                overflow: hidden;
                position: relative;
                top: -5px;
                transition: width 0.65s;
                width: 0%;
                z-index: 2;
            }
        }
    }

    .step {
        animation: 0.6s cubic-bezier(0.39, 0.575, 0.565, 1) 0s 1 normal both
            running fade-in-right;
        margin: 0px auto;
        padding: 30px;

        .step__title {
            font-style: normal;
            font-weight: $font-weight-bold;
            font-size: 28px;
            margin: 0 auto;
            text-align: center;
        }

        .step__subtitle {
            font-style: normal;
            font-weight: $font-weight-normal;
            font-size: 18px;
            margin: 0 auto;
            text-align: center;
        }

        .step__options {
            padding-top: 30px;

            .option {
                animation: fade-in-bottom 0.6s
                    cubic-bezier(0.39, 0.575, 0.565, 1) both;
                background: $white;
                border: 1px solid #dcdcdc;
                border-radius: 4px;
                box-shadow: 0 3px 0 0 #dcdcdc, 0 5px 7px 0 rgba(0, 0, 0, 0.1);
                color: #767475;
                cursor: pointer;
                font-size: 14px;
                height: 90px;
                letter-spacing: 0;
                line-height: 12px;
                margin: 0 7px 15px;
                padding: 15px;
                position: relative;
                transition: background-color 0.15s ease, border-color 0.15s ease,
                    box-shadow 0.15s ease;
            }

            .option:hover,
            .option:focus {
                background: #f3f9fa;
                border-color: #c5e2e6;
                box-shadow: 0 3px 0 0 #c5e2e6, 0 7px 10px 0 rgba(0, 0, 0, 0.1);
                outline: none;
            }

            .option--wide {
                height: 48px;
                margin: 0 auto 10px;
                max-width: 345px;
                padding: 0;

                .option__name {
                    margin-top: 18px;
                }
            }

            .option--large {
                height: 195px;
                width: 165px;

                .option__image {
                    background-size: 135px 135px;
                    background-position: center bottom;
                    height: 135px;
                    width: 135px;
                }

                .option__name {
                    font-style: normal;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 18px;
                    margin-top: 5px;
                    margin: 5px 0;
                    text-align: center;
                    text-transform: capitalize;
                }
            }
        }

        .step__options--inline {
            place-content: flex-start center;
            display: flex;
            flex-wrap: wrap;
        }

        .step__inputs {
            margin: 20px auto;
            max-width: 200px;
        }

        .step__btns {
            margin: 0px auto;
            max-width: 300px;
        }

        .read-more {
            color: rgb(138, 138, 138);
            display: flex;
            font-size: 12px;
            margin: 18px 28px;

            .read-more__icon {
                color: rgb(110, 183, 194);
                font-size: 20px;
                margin: 5px 7px 0px 0px;
            }
        }

        .read-more__container {
            overflow: hidden;
            position: relative;
            transition: max-height 0.5s ease 0s;
        }

        .read-more__text {
            line-height: 15px;
            margin: 0px;
            text-align: left;
        }

        .form-error-message {
            color: rgb(233, 113, 88);
            font-size: 14px;
            display: none;
            margin: -10px 0px 10px 2px;
            text-align: center;
        }
    }

    .step__footer {
        border-top: 1px solid #dcdcdc;
        color: #8a8a8a;
        padding: 30px 0;
        text-align: center;

        .step__footer-title {
            color: rgb(138, 138, 138);
            margin-top: 10px;
            font-style: normal;
            font-weight: $font-weight-bold;
            font-size: $font-size-base;
            margin: 16px 0px 5px;
        }

        .step__footer-text {
            color: rgb(138, 138, 138);
            line-height: 23px;
            margin: 0px 25px;
        }

        .step__footer-icon {
            color: #6eb7c2;
            font-size: 30px;
        }
    }

    .results {
        color: rgb(84, 82, 83);
        padding: 20px;

        .results-page__title {
            font-size: 22px;
            margin: 0px 0px 20px;
            text-align: center;
        }

        .cost-table {
            background: rgb(255, 255, 255);
            border: 1px solid rgb(220, 220, 220);
            border-collapse: separate;
            border-radius: 4px;
            border-spacing: 0px;
            box-shadow: rgba(0, 0, 0, 0.1) 0px 2px 4px 0px;
            padding: 10px 5px;
            width: 100%;

            .cost-table__header {
                font-style: normal;
                font-weight: $font-weight-bold;
                color: rgb(186, 185, 186);
                font-size: 15px;
                letter-spacing: 0.8px;
                text-transform: uppercase;
                width: 33%;
            }

            .cost-table__separator {
                border-left: 1px solid rgb(220, 220, 220);
                border-right: 1px solid rgb(220, 220, 220);
            }

            .cost-table__data {
                font-style: normal;
                font-weight: $font-weight-bold;
                font-size: 29px;
                text-align: center;
                width: 33%;
            }
        }

        .results-page__helper {
            align-items: center;
            display: flex;
            justify-content: space-between;
            margin-top: 5px;
            padding: 20px 0;

            .results-page__helper-text {
                color: rgb(138, 138, 138);
                font-size: 12px;
                font-style: italic;
                line-height: 14px;
                margin: 0px;
            }
        }
    }
}

// tools
$height: 40px;
$bgcolor: lighten(#ccc, 5%);

.tools {
    text-align: center;
    color: #555;
    position: relative;
    height: 40px;
    margin: 10px auto;
    max-width: 360px;
    border-radius: 5px;
    background-image: linear-gradient(180deg, #d9d9d9, #b3b3b3);
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.5);

    .btn-tool {
        border-left: 1px solid rgba(#fff, 30%);
        border-right: 1px solid rgba(#000, 15%);
        height: $height;
        width: 20%;
        text-align: center;
        display: inline-block;
        font-weight: 600;
        text-shadow: 0 1px 0 rgba(#fff, 40%);
        font-size: 30px;
        line-height: $height - 3;
        cursor: pointer;

        &:before {
            display: inline-block;
        }

        &:first-child {
            border-left: none;
        }

        &:last-child {
            border-right: none;
        }
    }

    .btn-tool-first {
        &:before {
            content: "\2039 \2039";
        }
    }

    .btn-tool-back {
        &:before {
            content: "\2039";
        }
    }

    .btn-tool-next {
        &:before {
            content: "\203A";
        }
    }

    .btn-tool-last {
        &:before {
            content: "\203A \203A";
        }
    }

    .btn-tool-restart {
        margin: 0 auto;
        left: 0;
        right: 0;

        &:before {
            content: "Restart";
        }
    }
}
